package com.qmth.cqb.paper.dao;

import com.qmth.cqb.paper.model.Paper;
import com.qmth.cqb.paper.model.PaperDetail;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import com.qmth.cqb.paper.model.PaperDetailUnit;
import com.qmth.cqb.question.model.Question;

import java.util.List;


public interface PaperDetailUnitRepo extends MongoRepository<PaperDetailUnit, String>,QueryByExampleExecutor<PaperDetailUnit> {
    List<PaperDetailUnit> findByPaperDetailOrderByNumber(PaperDetail paperDetail);
    List<PaperDetailUnit> findByPaper(Paper paper);
    List<PaperDetailUnit> findByQuestion(Question question);
    List<PaperDetailUnit> findByQuestionIn(List<Question> questionList);
}
