package com.qmth.cqb.paper.service;

import javax.servlet.http.HttpServletResponse;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.dto.ExportPaperInfoModel;
import com.qmth.cqb.paper.model.ExtractConfig;

/**
 * @author  	chenken
 * @date    	2017年7月31日 下午6:03:26
 * @company 	QMTH
 * @description 调卷规则--文件处理service
 */
public interface ExtractConfigFileService {
	/**
	 * 保存调卷规则，生成试卷文件
	 */
	public void saveExtractConfigAndBuildPaperFile(ExtractConfig extractConfig,String orgName,AccessUser accessUser)  throws Exception;
	
	/**
	 * 导出考试下的试卷信息  校验
	 * @param exportModel
	 * @param response
	 * @throws Exception
	 */
	public void exportExamPaperInfoCheck(ExportPaperInfoModel exportModel,HttpServletResponse response)  throws Exception ;
	/**
	 * 导出考试下的试卷信息
	 * @param exportModel
	 */
	public void exportExamPaperInfo(ExportPaperInfoModel exportModel,HttpServletResponse response)  throws Exception ;
}

