package com.qmth.cqb.question.service;

import java.util.List;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.question.model.QuestionAudio;

/**
 * @author  	chenken
 * @date    	2017年8月1日 上午11:26:40
 * @company 	QMTH
 * @description QuestionRadioService.java
 */
public interface QuestionAudioService {
	/**
	 * 保存试题音频文件
	 * @param questionRadio
	 */
	public void saveQuestionAudio(QuestionAudio questionAudio,AccessUser accessUser);
	 /**
	  * 根据试题ID获取音频文件
	  * @return
	  */
	public List<QuestionAudio> findQuestionAudiosByQuestionId(String questionId);
}

