package com.qmth.cqb.question.dao;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import com.qmth.cqb.question.model.QuestionAudio;

/**
 * @author  	chenken
 * @date    	2017年8月1日 上午11:31:23
 * @company 	QMTH
 * @description QuestionRadioRepo.java
 */
public interface QuestionAudioRepo extends MongoRepository<QuestionAudio, String>, QueryByExampleExecutor<QuestionAudio> {
	
	public List<QuestionAudio> findByQuestionId(String questionId);
	
}

